<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_l2cap_cbfc_conn_resp_info_t</compoundname>
    <includes local="no">cy_ble_stack_l2cap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t_1a0f1c374440b236d7ffdff81cc0b501c1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__l2cap__cbfc__connection__info__t">cy_stc_ble_l2cap_cbfc_connection_info_t</ref></type>
        <definition>cy_stc_ble_l2cap_cbfc_connection_info_t cy_stc_ble_l2cap_cbfc_conn_resp_info_t::connParam</definition>
        <argsstring />
        <name>connParam</name>
        <briefdescription>
<para>L2CAP Credit based flow Connection parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="227" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="227" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t_1a64b9836d1fe65ae85f3ee4a8f10341c2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_conn_resp_info_t::localCid</definition>
        <argsstring />
        <name>localCid</name>
        <briefdescription>
<para>This parameter specifies the local L2CAP channel end-point for this new L2CAP channel. </para>        </briefdescription>
        <detaileddescription>
<para>On receipt of L2CAP Connect Request command from the peer, the local L2CAP will temporarily create a channel. This parameter identifies the new channel. If the upper-layer PSM chooses to reject this connection, this temporary channel will be closed. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="233" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="233" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t_1ac302bcf45ce7b3316003dbe3b58c77f5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_conn_resp_info_t::response</definition>
        <argsstring />
        <name>response</name>
        <briefdescription>
<para>This parameter specifies the response of the upper layer for the new L2CAP channel establishment request from the peer. </para>        </briefdescription>
        <detaileddescription>
<para>It must be set to a value as specified in L2CAP Connect Result Codes. Refer to Bluetooth 5.0 core specification, Volume 3, Part A, section 4.23 for more details. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="238" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="238" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Connect response parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="961">
        <label>cy_stc_ble_l2cap_cbfc_connection_info_t</label>
        <link refid="structcy__stc__ble__l2cap__cbfc__connection__info__t" />
      </node>
      <node id="960">
        <label>cy_stc_ble_l2cap_cbfc_conn_resp_info_t</label>
        <link refid="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t" />
        <childnode refid="961" relation="usage">
          <edgelabel>connParam</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="240" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="224" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="225" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t_1a0f1c374440b236d7ffdff81cc0b501c1" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_conn_resp_info_t</scope><name>connParam</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t_1a64b9836d1fe65ae85f3ee4a8f10341c2" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_conn_resp_info_t</scope><name>localCid</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t_1ac302bcf45ce7b3316003dbe3b58c77f5" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_conn_resp_info_t</scope><name>response</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>